MODULE EGS_Test;

FROM EGSIntui IMPORT NewWindow,WindowPtr,OpenWindow,
                     CloseWindow,SysGadgetSet,
                     SysGadgetTypes,EIDCMPFlagSet,
                     EIDCMPFlags,EIntuiMsgPtr,
                     WindowFlags,WindowFlagSet,
                     ObtainColor,ReleaseColor;
FROM EGSGfx   IMPORT Draw,Move,DrawModes,SetDrawMode,
                     SetAPen,RectangleFill;
FROM Exec     IMPORT MsgGrp;

VAR
  newWin := NewWindow:(leftEdge=100,topEdge=50,
            width=400,height=200,
            screen=NIL,
            sysGadgets={windowClose, windowDrag},
            name="EGS-Fenster".data'PTR,
            flags=WindowFlagSet:{GimmeZeroZero,
                                       SmartRefresh},
            idcmpFlags=EIDCMPFlagSet:{iWindowClose});

  DrawWindow  : WindowPtr;
  Msg         : EIntuiMsgPtr;
  i           : INTEGER;
  oColor,
  Color       : LONGINT;

BEGIN
  DrawWindow:=OpenWindow(newWin);
  oColor:=ObtainColor(DrawWindow.screen,$FF,$00,$00);
  IF DrawWindow # NIL THEN
    SetDrawMode(DrawWindow.rPort,drawAPen);
    FOR i:=2 TO 388 BY 4 DO
      Color:=LONGINT(i*3 MOD 256) SHL 24+
          LONGINT(i*2 MOD 256) SHL 16+
          LONGINT(i   MOD 256) SHL 8;
      SetAPen(DrawWindow.rPort,Color);
      RectangleFill(DrawWindow.rPort,i,0,4,200);
    END;
    SetAPen( DrawWindow.rPort, oColor);
    Move( DrawWindow.rPort, 1, 1);
    Draw( DrawWindow.rPort, 398, 1);
    Draw( DrawWindow.rPort, 398, 198);
    Draw( DrawWindow.rPort, 1, 198);
    Draw( DrawWindow.rPort, 1, 1);
    FORGET WaitPort(DrawWindow.port);
    ReleaseColor(DrawWindow^.screen,oColor);
  END;
CLOSE
  IF DrawWindow # NIL THEN
    CloseWindow(DrawWindow);
  END
END EGS_Test.
